Subject: [Cfrg] [Errata Verified] RFC7539 (4700)

From: RFC Errata System <[email-masked]>
Date: Wed, 8 Jun 2016 04:49:49 -0700 (PDT)

The following errata report has been verified for RFC7539,
"ChaCha20 and Poly1305 for IETF Protocols". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7539&eid=4700

--------------------------------------
Status: Verified
Type: Technical

Reported by: Martin Thomson <[email-masked]>
Date Reported: 2016-05-24
Verified by: Lars Eggert (IRSG)

Section: 2.8

Original Text
-------------
    The output from the AEAD is twofold:

   o  A ciphertext of the same length as the plaintext.
   o  A 128-bit tag, which is the output of the Poly1305 function.

Corrected Text
--------------
    The output from the AEAD is the concatenation of:

   o  A ciphertext of the same length as the plaintext.
   o  A 128-bit tag, which is the output of the Poly1305 function.

Notes
-----
Section 2.1 of RFC 5116 defines the AEAD interface, and that interface produces a single output, C (or an error).

--------------------------------------
RFC7539 (draft-irtf-cfrg-chacha20-poly1305-10)
--------------------------------------
Title               : ChaCha20 and Poly1305 for IETF Protocols
Publication Date    : May 2015
Author(s)           : Y. Nir, A. Langley
Category            : INFORMATIONAL
Source              : Crypto Forum Research Group
Area                : N/A
Stream              : IRTF
Verifying Party     : IRSG